Package org.jacoco.report.internal.html.page

## Class ClassPage

- java.lang.Object
- - org.jacoco.report.internal.html.page.ReportPage
  - - org.jacoco.report.internal.html.page.NodePage<NodeType>
    - - org.jacoco.report.internal.html.page.TablePage<IClassCoverage>
      - - org.jacoco.report.internal.html.page.ClassPage

All Implemented Interfaces:
  `ILinkable`, `ITableItem`

    public class ClassPage
    extends TablePage<IClassCoverage>

Page showing coverage information for a class as a table of methods. The methods are linked to the corresponding source file.

### Field Summary

### Fields inherited from class org.jacoco.report.internal.html.page.ReportPage

`context, folder`

### Constructor Summary

Constructors
`ClassPage​(IClassCoverage classNode, ReportPage parent, ILinkable sourcePage, ReportOutputFolder folder, IHTMLReportContext context)` Creates a new visitor in the given context.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `content​(HTMLElement body)` Creates the actual content of the page.
`protected java.lang.String` `getFileName()` Specifies the local file name of this page.
`java.lang.String` `getLinkLabel()` Returns the display label used for the link.
`protected java.lang.String` `getOnload()` Returns the onload handler for this page.
`void` `render()` Renders this page's content and optionally additional pages.

### Methods inherited from class org.jacoco.report.internal.html.page.TablePage

`addItem, head`

### Methods inherited from class org.jacoco.report.internal.html.page.NodePage

`getLinkStyle, getNode`

### Methods inherited from class org.jacoco.report.internal.html.page.ReportPage

`getLink, infoLinks, isRootPage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jacoco.report.internal.html.ILinkable

`getLink`

### Constructor Detail

#### ClassPage

    public ClassPage​(IClassCoverage classNode,
                     ReportPage parent,
                     ILinkable sourcePage,
                     ReportOutputFolder folder,
                     IHTMLReportContext context)

Creates a new visitor in the given context.

Parameters:
  `classNode` - coverage data for this class
  `parent` - optional hierarchical parent
  `sourcePage` - corresponding source page or `null`
  `folder` - base folder to create this page in
  `context` - settings context

### Method Detail

#### getOnload

    protected java.lang.String getOnload()

Description copied from class: `ReportPage`
Returns the onload handler for this page.

Overrides:
  `getOnload` in class `ReportPage`
Returns:
  handler or `null`

#### render

    public void render()
                throws java.io.IOException

Description copied from class: `ReportPage`
Renders this page's content and optionally additional pages. This method must be called at most once.

Overrides:
  `render` in class `ReportPage`
Throws:
  `java.io.IOException` - if the page can't be written

#### getFileName

    protected java.lang.String getFileName()

Description copied from class: `ReportPage`
Specifies the local file name of this page.

Specified by:
  `getFileName` in class `ReportPage`
Returns:
  local file name

#### getLinkLabel

    public java.lang.String getLinkLabel()

Description copied from interface: `ILinkable`
Returns the display label used for the link.

Specified by:
  `getLinkLabel` in interface `ILinkable`
Overrides:
  `getLinkLabel` in class `NodePage<IClassCoverage>`
Returns:
  display label

#### content

    protected void content​(HTMLElement body)
                    throws java.io.IOException

Description copied from class: `ReportPage`
Creates the actual content of the page.

Overrides:
  `content` in class `TablePage<IClassCoverage>`
Parameters:
  `body` - body tag of the page
Throws:
  `java.io.IOException` - in case of IO problems with the report writer